Subject: Re: Core packages updated broke Guix

From: Ludovic Courtès <[email-masked]>
Date: Tue, 01 Oct 2024 17:30:56 +0200

Hi,

Preston Miller Firestone <[email-masked]> skribis:

> I can also confirm: I was having this same problem on the same update
> and unsetting LD_LIBRARY_PATH also fixed it for me. I was then able to
> run `guix pull` and everything was good again.
>
> Thanks Ludo for the fix! I wonder how LD_LIBRARY_PATH got set in the
> first place? I'm running Guix system.

No idea.  Perhaps you could:

  grep LD_LIBRARY_PATH \
    /run/current-system/profile/manifest \
    ~/.guix-home/profile/manifest

… for the offending system and user profile generations.

Ludo’.